package com.ruoyi.project.inspection.service;

import java.util.List;
import com.ruoyi.project.inspection.domain.TInspectionRecord;

/**
 * 巡检记录Service接口
 * 
 * @author ruoyi
 * @date 2022-06-22
 */
public interface ITInspectionRecordService 
{
    /**
     * 查询巡检记录
     * 
     * @param id 巡检记录ID
     * @return 巡检记录
     */
    public TInspectionRecord selectTInspectionRecordById(Long id);

    /**
     * 查询巡检记录列表
     * 
     * @param tInspectionRecord 巡检记录
     * @return 巡检记录集合
     */
    public List<TInspectionRecord> selectTInspectionRecordList(TInspectionRecord tInspectionRecord);

    /**
     * 新增巡检记录
     * 
     * @param tInspectionRecord 巡检记录
     * @return 结果
     */
    public int insertTInspectionRecord(TInspectionRecord tInspectionRecord);

    /**
     * 修改巡检记录
     * 
     * @param tInspectionRecord 巡检记录
     * @return 结果
     */
    public int updateTInspectionRecord(TInspectionRecord tInspectionRecord);

    /**
     * 批量删除巡检记录
     * 
     * @param ids 需要删除的巡检记录ID
     * @return 结果
     */
    public int deleteTInspectionRecordByIds(Long[] ids);

    /**
     * 删除巡检记录信息
     * 
     * @param id 巡检记录ID
     * @return 结果
     */
    public int deleteTInspectionRecordById(Long id);

    /**
     * 根据区域巡查记录id查询设备巡查记录
     * @param regionId
     * @return
     */
    public List<TInspectionRecord> selectByRegionId(Long regionId);


    /**
     * 批量删除巡检记录
     *
     * @param regionIds 需要删除的巡检记录ID
     * @return 结果
     */
    public int deleteTInspectionRecordByRegionIds(Long[] regionIds);

    /**
     * 删除巡检记录信息
     *
     * @param regionId 巡检记录ID
     * @return 结果
     */
    public int deleteTInspectionRecordByRegionId(Long regionId);
}
